Subject: RE: [nemo] Re: [Mip6] Consensus call on making ID draft-wakikawa-nemo-v4tunnel a MIP6/NEMO WGs document

From: "Pascal Thubert \(pthubert\)" <[email-masked]>
Date: Fri, 1 Apr 2005 18:10:27 +0200

| -----Original Message-----
| From: [email-masked] [mailto:[email-masked]] On Behalf
Of
| Vijay Devarapalli
| Sent: Thursday, March 31, 2005 10:02 PM
| To: Henrik Levkowetz
| Cc: [email-masked]; [email-masked]; [email-masked]
| Subject: [nemo] Re: [Mip6] Consensus call on making ID draft-wakikawa-
| nemo-v4tunnel a MIP6/NEMO WGs document
| 
| Henrik,
| 
| there is some mis-understanding regarding the relation
| between draft-soliman and draft-wakikawa. both solve the
| scenario of a v6 MN or MR accessing its v6 home agent from
| a v4 only access network. draft-soliman talks about using a
| IPv4 mapped IPv6 address to convey the IPv4 CoA to the
| HA. draft-wakikawa uses a new mobility option to carry
| the IPv4 CoA. I personally prefer carrying it in a separate
| mobility option, because it makes processing on the HA easier.
| we can debate the pros and cons of this later. but this *does*
| not impact the scenario. both solve the same scenario.
| 
| there are other scenarios, but IMHO, they are not relevant.
| 
| regarding Sri's concerns, we do intend to address them. dont
| worry about that. we have an assumption in the draft.
| 
| - the HA's IPv4 address is reachable through the IPv4 internet
| 
| Sri is questioning this assumption. he is claiming this is
| not so easy. he doesnt want IPv4 routing inside his IPv6
| network. the HA is deep inside in the IPv6 network. for the
| HA's IPv4 address to be reachable, you might need a box in
| the DMZ, which traps the packets for the HA's IPv4 address
| and tunnels them to the HA deep in the IPv6 network. but here
| we end with extra tunneling between the box sitting in the
| DMZ and the HA deep in the IPv6 network. another option is to
| place the HA in the DMZ. but he doesnt want to do that. I
| will be discussing with him to see how we can come up with a
| solution. Sri, let me know if I still dont understand the
| issue you are bringing up.

Even better would be that this "box in the DMZ" terminates V4, and sends
packets to the HA in IPv6. Say, doing some NAT-PT instead of tunneling,
classical alternates. 

OH, yes but then if you do it right, you could try to avoid exposing
IPv4 to the HA at all, since now we are IPv6. Interesting...

Seems to me that the line if thought that starts at your "box in the
DMZ" ends up being With Doors.

With Doors, the "box in the DMZ" is the Doors gateway between IPv4 and
IPv6. 

The Doors GW is fully stateless and inherits from 6to4. 

The closest Doors Gateway could be advertised by means of DHCP / IP NCP
so most of the way is done via IPv6. Or the MN/MR can be statically
configured with a GW from the ISP. Or, providing that the ISP configures
a revNAT state in its PE or managed-CE box, the Doors GW can even be
deep within the IPv4 private network (works fine ;). Or, if you have
one, you can place the GW in the DMZ. Might be easier to turn Doors GW
on (one line) then to migrate the HA there.  

Then again, implementing Doors is in fact a very small piece of code in
the MN/MR and the GW. It is mostly a design point. Consider it.

Pascal

| 
| Vijay
| 
| Henrik Levkowetz wrote:
| > Hi,
| >
| > On 2005-03-30 9:33 pm [email-masked] said the following:
| > [...]
| >
| >>A number of transition scenarios have been identified in IDs:
| >>1. draft-larsson-v6ops-mip-scenarios-01
| >>2. draft-tsirtsis-dsmip-problem-03
| >>While discussion of these scenarios in the larger scope makes sense,
| >>there is a need to focus on the most critical scenario that would
| >>address the MIP6 host and router problem. The problem in a single
| >>sentence can be stated as: "Mobile IPv6 hosts and routers (NEMO)
need
| >>to be able to reach its (IPv6) home agent and services when roaming
in
| >>and attached to an IPv4 access network."
| >>It makes sense to focus on just this one scenario and solve the
| >>problem immediately.
| >
| >
| > Given that there already exists at least 3 solution drafts in this
area:
| >
| >   draft-thubert-nemo-ipv4-traversal
| >   draft-soliman-v4v6-mipv6
| >   draft-wakikawa-nemo-v4tunnel
| >
| > and Sri clearly indicates that there are requirements which these
| > don't cover, I think it would be good to have a clear and agreed
| > upon statement of what to achieve before adopting an approach and
| > draft.  So I'm not for adopting draft-wakikawa before there is an
| > agreed upon problem statement.
| >
| > That said, I'm very much in favour of doing this work; and doing
| > it by extensions to MIP6 (and MIP4) rather than trying to adapt
| > any of the other approaches which would mix MIP6 with non-MIP
tunnels,
| > as listed in draft-larsson-v6ops-mip-scenarios-01.
| >
| > If the decision is to write a problem statement, I'd be willing to
| > work on such a draft, and I also have a potential co-editor who have
| > indicated willingness.
| >
| >
| >>The ID: draft-wakikawa-nemo-v4tunnel-01 solves the problem of a
MIPv6
| >>mobile node or a NEMO mobile router roaming onto a IPv4 only access
| >>network in a simple manner.
| >>It is intended that the standardization of this solution in the
IETFs
| >>MIP6 and/or NEMO working groups proceed. The working group chairs
have
| >>reviewed and discussed this work item. It has also been presented at
| >>the MIP6 and NEMO WGs at IETF62.
| >>
| >>The chairs would like to hear your thoughts in order to see if there
| >>is consensus to make it a WG document and progress it as a standards
| >>track RFC. Comments should be sent to both the NEMO and MIP6 WGs.
| >>
| >>If we have consensus, then the document will be pursued as a dual WG
| >>item and called draft-ietf-mip6-nemo-v4tunnel-xx.txt
| >>
| >>Make I-D draft-wakikawa-nemo-v4tunnel a MIP6/NEMO WG ID:
| >>	For 		[  ]
| >>	Against 	[  ]
| >>
| >
| >
| > 	Not currently	[ X ]
| >
| >
| > Henrik
| >
| > _______________________________________________
| > Mip6 mailing list
| > [email-masked]
| > https://www1.ietf.org/mailman/listinfo/mip6

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: Pekka Savola <[email-masked]>
Date: Fri, 1 Apr 2005 20:24:34 +0300 (EEST)

> packets to the HA in IPv6. Say, doing some NAT-PT instead of tunneling,

Please, don't even consider translation.

You may be interested of the following:

"Reasons to Move NAT-PT to Experimental"
draft-ietf-v6ops-natpt-to-exprmntl-00

AFAIK, that has just recently been forwarded to the IESG for 
processing.

> With Doors, the "box in the DMZ" is the Doors gateway between IPv4 and

Doors does not solve the problem if the strict requirement is avoiding 
"extra" encapsulation, right?  (I may not buy that requirement myself, 
but we should at least get to consensus whether it's one or not.)

Doors is basically Yet Another v6-in-v4 Tunnelbroker (albeit 
stateless) Solution, AFAICS.  If we go down that path, maybe it would 
be worth using the already specified, implemented and deployed 
mechanisms, or create one ourselves (there was a Tunnel Configuration 
BOF at the last IETF.)

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings

---

From: Sri Gundavelli <[email-masked]>
Date: Fri, 1 Apr 2005 10:03:56 -0800 (PST)

> but we should at least get to consensus whether it's one or not.)

Hi Pekka,

I agree with you that saving the extra encap should not be
the central focus. If saving few bytes is of paramount
interest, there are header compression techniques that we
can apply to doors. Choosing a solution by basing this as
the central argument is not right.

Sri